/*

Copyright (c) 2008 Esria, Inc. (esria.com)

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
THE SOFTWARE.

*/
package com.flextoolbox.roktok.business
{
	import com.flextoolbox.roktok.vo.Message;
	
	import flash.events.Event;
	import flash.events.EventDispatcher;
	
	import mx.collections.ArrayCollection;
	
	/**
	 * Stores and manages messages.
	 * 
	 * @author Josh Tynjala
	 */
	public class MessageManager extends EventDispatcher
	{
		
	//----------------------------------
	//  Properties
	//----------------------------------
	
		/**
		 * @private
		 * Storage for the messages property.
		 */
		private var _messages:ArrayCollection = new ArrayCollection();
		
		[Bindable("messagesChange")]
		/**
		 * The messages that will be visualized by the application.
		 */
		public function get messages():ArrayCollection
		{
			return this._messages;
		}
		
	//----------------------------------
	//  Public Methods
	//----------------------------------
		
		/**
		 * Stores a set of loaded messages.
		 */
		public function storeMessages(value:Array):void
		{
			value.forEach(function(item:Message, index:int, source:Array):void
			{
				this.messages.addItem(item);
			}, this);
			
			this.dispatchEvent(new Event("messagesChange"));
		}

	}
}