/*

Copyright (c) 2008 Esria, Inc. (esria.com)

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
THE SOFTWARE.

*/
package com.flextoolbox.roktok.business
{
	import com.adobe.serialization.json.JSON;
	import com.flextoolbox.roktok.vo.Artist;
	import com.flextoolbox.roktok.vo.Message;
	
	/**
	 * Parses responses from the Twitter Search API.
	 * @author Josh Tynjala
	 */
	public class TwitterSearchServiceParser
	{
		/**
		 * Parses the Twitter Search JSON response and returns an Array of Message VOs.
		 */
		public function parseJSONTweets(jsonData:String):Array
		{
			var results:Array = JSON.decode(jsonData).results;
			
			var tweets:Array = [];
			var resultsCount:int = results.length;
			for(var i:int = 0; i < resultsCount; i++)
			{
				var result:Object = results[i];
				var tweet:Message = new Message();
				tweet.user = result.from_user;
				tweet.text = result.text;
				tweet.image = result.profile_image_url;
				tweet.timestamp = new Date(result.created_at);
				tweet.userURL = "http://www.twitter.com/" + tweet.user;
				tweets.push(tweet);
			} 
			return tweets;
		}

	}
}