/*

Copyright (c) 2008 Esria, Inc. (esria.com)

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
THE SOFTWARE.

*/
package com.flextoolbox.roktok.events
{
	import flash.events.Event;

	/**
	 * Event for loading data from the music service.
	 * 
	 * @author Josh Tynjala
	 */
	public class MusicServiceEvent extends Event
	{
		
	//----------------------------------
	//  Static Properties
	//----------------------------------
	
		/**
		 * Lists the most popular artists on the music service.
		 */
		public static const LIST_POPULAR_ARTISTS:String = "listPopularArtists";
		
	//----------------------------------
	//  Constructor
	//----------------------------------
		
		/**
		 * Constructor.
		 */
		public function MusicServiceEvent(type:String, count:int = 10)
		{
			super(type, true, false);
			this.count = count;
		}
		
	//----------------------------------
	//  Properties
	//----------------------------------
		
		/**
		 * The number of results to return.
		 */
		public var count:int;
		
	//----------------------------------
	//  Public Methods
	//----------------------------------
		
		/**
		 * @private
		 */
		override public function clone():Event
		{
			return new MusicServiceEvent(this.type, this.count);
		}
	}
}