/*

Copyright (c) 2008 Esria, Inc. (esria.com)

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
THE SOFTWARE.

*/
package com.flextoolbox.roktok.vo
{
	import flash.events.EventDispatcher;
	
	[Bindable]
	/**
	 * Holds information about a message posted online.
	 * 
	 * @author Josh Tynjala
	 */
	public class Message extends EventDispatcher
	{
		
	//----------------------------------
	//  Properties
	//----------------------------------

		/**
		 * The name of the user that posted the message.
		 */
		public var user:String;
		
		/**
		 * The body of the message.
		 */
		public var text:String;
		
		/**
		 * An image associated with the message. Most likely the user's profile image.
		 */
		public var image:String;
		
		/**
		 * The time when the message was posted.
		 */
		public var timestamp:Date;
		
		/**
		 * The URL to the user's profile.
		 */
		public var userURL:String;
		
		/**
		 * The artist associated with the message.
		 */
		public var artist:Artist;
	}
}