/*

Copyright (c) 2008 Esria, Inc. (esria.com)

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
THE SOFTWARE.

*/
package com.flextoolbox.util
{
	import flash.events.IEventDispatcher;
	
	import mx.core.ClassFactory;

	/**
	 * A class factory that adds event listeners.
	 * 
	 * @author Josh Tynjala
	 */
	public class ClassFactoryWithEvents extends ClassFactory
	{
		
	//----------------------------------
	//  Constructor
	//----------------------------------
	
		/**
		 * Constructor.
		 */
		public function ClassFactoryWithEvents(generator:Class=null)
		{
			super(generator);
		}
		
	//----------------------------------
	//  Properties
	//----------------------------------
		
		/**
		 * The event listeners to add.
		 */
		public var events:Object = null;
		
	//----------------------------------
	//  Public Methods
	//----------------------------------
		
		/**
		 * @inheritDoc
		 */
		override public function newInstance():*
		{
			var instance:Object = super.newInstance();
			
			if(this.events && instance is IEventDispatcher)
			{
				for(var eventName:String in this.events)
				{
					instance.addEventListener(eventName, this.events[eventName]);
				}
			}
			
			return instance;
		}
		
	}
}